<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Master\Template;

class TemplateSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
      $data = [
        ['name' => 'Luas Kawasan Lindung Berdasarkan RTRW dan Tutupan Lahannya','template_url' => 'template/table1.xlsx'],
        ['name' => 'Luas Wilayah Menurut Penggunaan Lahan Utama','template_url' => 'template/table2.xlsx'],
        ['name' => 'Luas Hutan Berdasarkan Fungsi dan Status','template_url' => 'template/table3.xlsx'],
        ['name' => 'Keadaan Flora dan Fauna','template_url' => 'template/table4.xlsx'],
        ['name' => 'Penangkaran Satwa dan Tumbuhan Liar','template_url' => 'template/table5.xlsx'],
        ['name' => 'Luas Lahan Kritis di Dalam dan Luar Kawasan Hutan','template_url' => 'template/table6.xlsx'],
        ['name' => 'Evaluasi Kerusakan Tanah di Lahan Kering Akibat Erosi Air','template_url' => 'template/table7.xlsx'],
        ['name' => 'Evaluasi Kerusakan Tanah di Lahan Kering','template_url' => 'template/table8.xlsx'],
        ['name' => 'Evaluasi Keusakan Tanah di Lahan Basah','template_url' => 'template/table9.xlsx'],
        ['name' => 'Luas dan Kerapatan Tutupan Mangrove','template_url' => 'template/table10.xlsx'],
        ['name' => 'Luas dan Kerusakan Padang Lamun','template_url' => 'template/table11.xlsx'],
        ['name' => 'Luas Tutupan dan Kondisi Terumbu Karang','template_url' => 'template/table12.xlsx'],
        ['name' => 'Luas Perubahan Penggunaan Lahan Pertanian','template_url' => 'template/table13.xlsx'],
        ['name' => 'Jenis Pemanfaatan Lahan','template_url' => 'template/table14.xlsx'],
        ['name' => 'Luas Areal dan Produksi Pertambangan Menurut Jenis Bahan Galian','template_url' => 'template/table15.xlsx'],
        ['name' => 'Realisasi Kegiatan Penghijauan dan Reboisasi','template_url' => 'template/table16.xlsx'],
        ['name' => 'Luas dan Kerusakan Lahan Gambut','template_url' => 'template/table17.xlsx'],
        ['name' => 'Jumlah dan Produksi Pemanfaatan Hasil Hutan Kayu','template_url' => 'template/table18.xlsx'],
        ['name' => 'Jumlah dan Luas Ijin Usaha Pemanfaatan Hasil Hutan Bukan Kayu','template_url' => 'template/table19.xlsx'],
        ['name' => 'Perdagangan Satwa dan Tumbuhan','template_url' => 'template/table20.xlsx'],
        ['name' => 'Jumlah dan Ijin usaha Pemanfaatan Jasa Lingkungan dan Wisata Alam','template_url' => 'template/table21.xlsx'],
        ['name' => 'Kualitas Air Sumur','template_url' => 'template/table22.xlsx'],
        ['name' => 'Kualitas Air Laut','template_url' => 'template/table23.xlsx'],
        ['name' => 'Curah Hujan Rata-Rata Bulanan','template_url' => 'template/table24.xlsx'],
        ['name' => 'Jumlah Rumah Tangga dan Sumber Air Minum','template_url' => 'template/table25.xlsx'],
        ['name' => 'Kualitas Air Hujan','template_url' => 'template/table26.xlsx'],
        ['name' => 'Kondisi Sungai','template_url' => 'template/table27.xlsx'],
        ['name' => 'Kondisi Danau/Waduk/Situ/Embung','template_url' => 'template/table28.xlsx'],
        ['name' => 'Kualitas Air Sungai','template_url' => 'template/table29.xlsx'],
        ['name' => 'Kualitas Air Danau/Waduk/Situ/Embung','template_url' => 'template/table30.xlsx'],
        ['name' => 'Jumlah Rumah Tangga dan Fasilitas Tempat Buang Air Besar','template_url' => 'template/table31.xlsx'],
        ['name' => 'Jumlah Penduduk Laki-Laki dan Perempuan Menurut Tingkatan Pendidikan','template_url' => 'template/table32.xlsx'],
        ['name' => 'Jenis Penyakit Utama yang Diderita Penduduk','template_url' => 'template/table33.xlsx'],
        ['name' => 'Jumlah Rumah Tangga Miskin','template_url' => 'template/table34.xlsx'],
        ['name' => 'Jumlah Limbah Padat dan Cair Berdasarkan Sumber Pencemaran','template_url' => 'template/table35.xlsx'],
        ['name' => 'Suhu Udara Rata-rata Bulanan','template_url' => 'template/table36.xlsx'],
        ['name' => 'Kualitas Udara Ambien','template_url' => 'template/table37.xlsx'],
        ['name' => 'Penggunaan Bahan Bakar Industri dan Rumah Tangga','template_url' => 'template/table38.xlsx'],
        ['name' => 'Jumlah Kendaraan Bermotor dan Jenis Bahan Bakar yang digunakan','template_url' => 'template/table39.xlsx'],
        ['name' => 'Perubahan Penambahan Ruas Jalan','template_url' => 'template/table40.xlsx'],
        ['name' => 'Dokumen Izin Lingkungan','template_url' => 'template/table41.xlsx'],
        ['name' => 'Perusahaan yang Mendapat Izin Mengelola Limbah B3','template_url' => 'template/table42.xlsx'],
        ['name' => 'Pengawasan Izin Lingkungan (AMDAL, UKL/UPL, Surat Pernyataan Pengelolaan Lingkungan (SPPL))','template_url' => 'template/table43.xlsx'],
        ['name' => 'Pengawasan Izin Lingkungan (AMDAL, UKL/UPL, Surat Pernyataan Pengelolaan Lingkungan (SPPL)) Pasif Operasi','template_url' => 'template/table43a.xlsx'],
        ['name' => 'Pengawasan Izin Lingkungan (AMDAL, UKL/UPL, Surat Pernyataan Pengelolaan Lingkungan (SPPL)) Pasif Konstruksi','template_url' => 'template/table43b.xlsx'],
        ['name' => 'Kebencanaan','template_url' => 'template/table44.xlsx'],
        ['name' => 'Kebencanaan dengan perkiraan kerugian','template_url' => 'template/table44a.xlsx'],
        ['name' => 'Data Bencana Tanah Longsor','template_url' => 'template/table44b.xlsx'],
        ['name' => 'Luas Wilayah, Jumlah Penduduk, Pertumbuhan Penduduk dan Kepadatan Penduduk (Kabupaten/Kota/Kecamatan)','template_url' => 'template/table45.xlsx'],
        ['name' => 'Jenis Tempat Pembuangan Akhir (TPA) Sampah','template_url' => 'template/table46.xlsx'],
        ['name' => 'Perkiraan Jumlah Timbulan Sampah per Hari','template_url' => 'template/table47.xlsx'],
        ['name' => 'Jumlah Bank Sampah','template_url' => 'template/table48.xlsx'],
        ['name' => 'Kegiatan Fisik Lainnya oleh Instansi','template_url' => 'template/table49.xlsx'],
        ['name' => 'Status Pengaduan Masyarakat','template_url' => 'template/table50.xlsx'],
        ['name' => 'Jumlah Lembaga Swadaya Masyarakat (LSM) Lingkungan Hidup','template_url' => 'template/table51.xlsx'],
        ['name' => 'Jumlah Personil Lembaga Pengelola Lingkungan Hidup menurut Tingkat Pendidikan','template_url' => 'template/table52.xlsx'],
        ['name' => 'Jumlah  Staf  Fungsional  Bidang  Lingkungan  dan  Staf  yang  telah mengikuti Diklat','template_url' => 'template/table53.xlsx'],
        ['name' => 'Penerima Penghargaan Lingkungan Hidup','template_url' => 'template/table54.xlsx'],
        ['name' => 'Kegiatan/Program yang Diinisiasi Masyarakat','template_url' => 'template/table55.xlsx'],
        ['name' => 'Produk Domestik Bruto Atas Dasar Harga Berlaku (Miliar Rp)','template_url' => 'template/table56.xlsx'],
        ['name' => 'Produk Domestik Bruto Atas Dasar Harga Konstan (Miliar Rp)','template_url' => 'template/table57.xlsx'],
        ['name' => 'Produk Hukum Bidang Pengelolaan Lingkungan Hidup dan Kehutanan','template_url' => 'template/table58.xlsx'],
        ['name' => 'Anggaran Pengelolaan Lingkungan Hidup','template_url' => 'template/table59.xlsx'],
        ['name' => 'Pendapatan Asli Daerah','template_url' => 'template/table60.xlsx'],
        ['name' => 'Inovasi Pengelolaan Lingkungan Hidup Daerah','template_url' => 'template/table61.xlsx'],
      ];   
      
      foreach($data as $valData){
            Template::updateOrCreate([
                'name' => $valData['name'],
                'template_url' => $valData['template_url'],
            ],[
                'name' => $valData['name'],
                'template_url' => $valData['template_url'],
            ]);
        }
    }
    
}
