<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>Register | DIKPLHD</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="coderthemes" name="author">

    <!-- App favicon -->
    <link rel="shortcut icon" href="{{asset('assets/logo-dlh.png')}}">

    <!-- App css -->
    <link href="{{asset('assets/css/app.min.css')}}" rel="stylesheet" type="text/css">

    <!-- Icons css -->
    <link href="{{asset('assets/css/icons.min.css')}}" rel="stylesheet" type="text/css">

    <!-- Theme Config Js -->
    <script src="{{asset('assets/js/config.js')}}"></script>
</head>

<body class="relative flex flex-col">

    <!-- Login Card -->
    <div class="relative flex flex-col items-center justify-center h-screen">
        <div class="flex justify-center">
            <div class="max-w-md px-4 mx-auto">
                <div class="card overflow-hidden">

                    <div class="p-9">
                        <div class="text-center mx-auto w-3/4">
                            <div class="flex justify-center">
                                <img src="{{asset('assets/logo-dlh.png')}}" alt="logo" width="50">
                            </div>
                            <h4 class="text-dark/70 text-center text-lg font-bold dark:text-light/80 mb-2">Register</h4>
                            <!-- <p class="text-gray-400 mb-9"></p> -->
                        </div>

                        <form action="{{url('register')}}" method="POST">
                            {{csrf_field()}}

                            <div class="mb-6 space-y-2">
                                <label for="fullname"  class="font-semibold text-gray-500">Nama Lengkap</label>
                                <input class="form-input" type="text" id="fullname" required="" placeholder="Masukan Nama Lengkap">
                            </div>
                            <div class="mb-6 space-y-2">
                                <label  class="font-semibold text-gray-500">Username</label>
                                <input class="form-input" type="text" required="" placeholder="Masukan Username">
                            </div>
                            <div class="mb-6 space-y-2">
                                <label for="emailaddress"  class="font-semibold text-gray-500">Email</label>
                                <input class="form-input" type="email" id="emailaddress" required="" placeholder="Masukan Email">
                            </div>

                            <div class="mb-6 space-y-2">
                                <label for="password"  class="font-semibold text-gray-500">Kata Sandi</label>
                                <div class="flex items-center">
                                    <input type="password" id="password" class="form-input rounded-e-none" placeholder="Masukan Kata Sandi">
                                    <span class="px-3.5 py-1 bg-light/30 dark:bg-slate-700/60 border rounded-e -ms-px dark:border-white/10"><i class="ri-eye-line text-lg"></i></span>
                                </div>
                            </div>

                            <div class="text-center mb-3">
                                <button class="btn bg-primary text-white" type="submit"> Register Sekarang </button>
                            </div>

                            <div class="text-center">
                                <p class="text-muted">Sudah Punya Akun ? <a href="{{url('login')}}" class="text-muted ms-1 link-offset-3 underline underline-offset-4"><b>Masuk</b></a></p>
                            </div>
                            <div class="text-center">
                                <p class="font-bold text-center p-6">
                                    {{date("Y")}} © Dinas Lingkungan Hidup Provinsi DKI Jakarta
                                </p>
                            </div>

                        </form>
                    </div>
                </div>
                <!-- end card -->

                
            </div>
        </div>
    </div>

    <footer class="bottom-0 inset-x-0">
        
    </footer>

    <!-- Plugin Js -->
    <script src="{{asset('assets/libs/simplebar/simplebar.min.js')}}"></script>
    <script src="{{asset('assets/libs/lucide/umd/lucide.min.js')}}"></script>
    <script src="{{asset('assets/libs/@frostui/tailwindcss/frostui.js')}}"></script>

    <!-- App Js -->
    <script src="assets/js/app.js"></script>

</body>

</html>