<?php

use Illuminate\Support\Facades\Route;
use App\Http\Middleware\Session;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\Master\InstansiController;
use App\Http\Controllers\Management\UserController;
use App\Http\Controllers\Management\RoleController;
use App\Http\Controllers\Management\AksesController;
use App\Http\Controllers\Opendata\DatasetController;


Route::get('dashboard',[HomeController::class,'dashboard'])->name('dashboard');

Route::name('opendata.')->prefix('opendata')->group(function () {
    Route::name('dataset.')->prefix('dataset')->group(function () {
        Route::resource('/',DatasetController::class);
        Route::get('grid',[DatasetController::class,'grid'])->name('grid');
        Route::get('gridDetail',[DatasetController::class,'gridDetail'])->name('gridDetail');
        Route::get('update/{id?}',[DatasetController::class,'update'])->name('update');
        Route::get('view/{id?}',[DatasetController::class,'view'])->name('view');
        Route::get('delete/{id?}',[DatasetController::class,'delete'])->name('delete');
        Route::get('aktif/{id?}',[DatasetController::class,'aktif'])->name('aktif');
    });
});

Route::name('master.')->prefix('master')->group(function () {
    Route::name('instansi.')->prefix('instansi')->group(function () {
        Route::resource('/',InstansiController::class);
        Route::get('grid',[InstansiController::class,'grid'])->name('grid');
        Route::get('update/{id?}',[InstansiController::class,'update'])->name('update');
    });
});

Route::name('management.')->prefix('management')->group(function () {
    Route::name('user.')->prefix('user')->group(function () {
        Route::resource('/',UserController::class);
        Route::get('grid',[UserController::class,'grid'])->name('grid');
        Route::get('update/{id?}',[UserController::class,'update'])->name('update');
        Route::get('delete/{id?}',[UserController::class,'delete'])->name('delete');
        Route::get('forcelogin/{id?}',[UserController::class,'forcelogin'])->name('forcelogin');
    });

    Route::name('role.')->prefix('role')->group(function () {
        Route::resource('/',RoleController::class);
        Route::get('grid',[RoleController::class,'grid'])->name('grid');
        Route::get('update/{id?}',[RoleController::class,'update'])->name('update');
        Route::get('delete/{id?}',[RoleController::class,'delete'])->name('delete');

        Route::name('akses.')->prefix('akses')->group(function () {
            Route::resource('/',AksesController::class);
            Route::get('{id}/edit',[AksesController::class,'edit'])->name('edit');
        });
    }); 
});